uniform sampler2D myTexture0;
uniform sampler2D myTexture1;
uniform sampler2D myTexture2;
uniform float ambientLightEnabled;

varying float attPlayer, v;
varying vec3 vNormal;
varying float alpha;
varying vec2 tex0_0,tex0_1,tex0_2;
varying vec2 tex1_0,tex1_1,tex1_2;
varying vec2 tex2_0,tex2_1,tex2_2;

void main (void)
{

	vec4 sceneLight = ((gl_FrontLightModelProduct.sceneColor * gl_FrontMaterial.ambient) + 
		(gl_LightSource[0].ambient * gl_FrontMaterial.ambient))*ambientLightEnabled;
	
	vec4 playerLight = 
	(gl_FrontLightModelProduct.sceneColor * gl_FrontMaterial.ambient) + 
	(gl_LightSource[1].ambient * gl_FrontMaterial.ambient)*attPlayer;
	
	vec4 light = sceneLight+playerLight;
	
	light.r = min(1.0, light.r);
	light.g = min(1.0, light.g);
	light.b = min(1.0, light.b);
		
	
	vec4 firstColor = texture2D(myTexture0, tex0_0);
	vec4 secondColor = texture2D(myTexture1, tex1_0);
	vec4 rockColor = texture2D(myTexture2, tex2_0);

	if ( v > 0.0)
	{
		firstColor = texture2D( myTexture0, tex0_1);
		secondColor = texture2D( myTexture1, tex1_1);
		rockColor = texture2D( myTexture2, tex2_1);
	}
	if ( v < 0.0 )
	{
		firstColor = texture2D( myTexture0, tex0_2);
		secondColor = texture2D( myTexture1, tex1_2);
		rockColor = texture2D( myTexture2, tex2_2);
	}
	
	vec4 color = mix(secondColor, firstColor, alpha);
	
	float st = dot(vec3(0,1,0), vNormal);
	st = smoothstep(0.7, 0.7 + 0.15, st);
	color = mix(rockColor, color, st);
	
	gl_FragColor = vec4(color*light);
}