varying float attPlayer, v;
varying vec3 vVertex;
varying vec3 vNormal;
varying vec2 tex0_0,tex0_1,tex0_2;
varying vec2 tex1_0,tex1_1,tex1_2;
varying vec2 tex2_0,tex2_1,tex2_2;
uniform float scale0, scale1, scale2;

varying float alpha;

void computeLight()
{
	vec3 lightDirPlayer = vec3(gl_LightSource[1].position.xyz - vVertex);
	
	float dPlayer = length(lightDirPlayer);
	
	attPlayer = 1.0 / ( gl_LightSource[1].constantAttenuation + 
	(gl_LightSource[1].linearAttenuation*dPlayer) + 
	(gl_LightSource[1].quadraticAttenuation*dPlayer*dPlayer) );
}

void main ()
{
	alpha = gl_Color.a;
	
	float xcoord,ycoord,zcoord;
	vNormal = gl_Normal;
	vVertex = vec3(gl_ModelViewMatrix * gl_Vertex);

	computeLight();
	
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;	
	
	//Texture Coordinates
	xcoord = gl_Vertex.x;
	zcoord = gl_Vertex.z;
	ycoord = gl_Vertex.y;
	
	tex0_0 = vec2(xcoord*scale0, zcoord*scale0);
	tex0_1 = vec2(zcoord*scale0, ycoord*scale0);
	tex0_2 = vec2(xcoord*scale0, ycoord*scale0);

	tex1_0 = vec2(xcoord*scale1, zcoord*scale1);
	tex1_1 = vec2(zcoord*scale1, ycoord*scale1);
	tex1_2 = vec2(xcoord*scale1, ycoord*scale1);

	tex2_0 = vec2(xcoord*scale2, zcoord*scale2);
	tex2_1 = vec2(zcoord*scale2, ycoord*scale2);
	tex2_2 = vec2(xcoord*scale2, ycoord*scale2);
	
	float x = abs(gl_Normal.x);
	float y = abs(gl_Normal.y);
	float z = abs(gl_Normal.z);
	
	v = 0.0;
	if(x > y && x > z || x == z && x > y)
	{
		v = 1.0;
	}
	if(z > y && z > x)
	{
		v = -1.0;
	} 
			
	gl_Position = ftransform();
}
